# App 

Na platformě OSCloud nabízíme širokou škálu spravovaných aplikací. Tyto aplikace jsou předinstalované nebo dostupné na vyžádání, a náš tým zajišťuje jejich pravidelné aktualizace, údržbu a bezpečnost.

## Předinstalované aplikace

Tyto aplikace jsou ihned připravené k použití pro všechny uživatele OSCloud:

- **Mastodon**: Decentralizovaná sociální síť.
- **Pixelfed**: Platforma pro sdílení fotografií.
- **Nextcloud**: Soukromý cloud pro ukládání a sdílení souborů.
- **Nástroje pro produktivitu**: CryptPad a HedgeDoc pro týmovou spolupráci a organizaci projektů.

## Další dostupné aplikace k instalaci

Na základě vašich potřeb vám náš tým může nainstalovat další aplikace, například:

- **Fotografické aplikace**: Lychee, Piwigo pro správu a sdílení fotografií.
- **Webové aplikace**: WordPress, Surfer pro snadnou tvorbu a správu webových stránek.

Služba OSCloud vám umožňuje plně se soustředit na své projekty, zatímco my se staráme o technickou stránku – instalaci, konfiguraci a údržbu aplikací.

Chcete-li zobrazit kompletní seznam aplikací, navštivte [Aplikace](aplikace.md).

## Ikona

Každá aplikace může mít vlastní ikonu, kterou nastavujeme za vás. Pokud není vlastní ikona určena, použije se výchozí ikona balíčku aplikace.

<center>
<img src="/img/ikon.png" class="shadow" width="250px">
</center>

## Operátor

Uživatelé mohou být nastaveni jako operátoři konkrétní aplikace. Operátor má přístup ke konfiguračním a údržbovým úkolům aplikace, aniž by měl oprávnění aplikaci odinstalovat nebo změnit její umístění.

<center>
<img src="/img/apps-operator-button.png" class="shadow" width="250px">
</center>

Po kliknutí na ikonu ozubeného kola mají operátoři přístup ke speciálnímu uživatelskému rozhraní:

<center>
<img src="/img/apps-operator-view.png" class="shadow" width="600px">
</center>

## Informace

Všechny důležité informace o aplikacích jsou dostupné v sekci `Info`:

<center>
<img src="/img/apps-info.png" class="shadow" width="600px">
</center>

- **Název a verze aplikace**: Název a verze spravované aplikace.
- **App ID**: Unikátní ID instance aplikace.
- **Verze balíčku**: Interní verze OSCloud balíčku.
- **Datum instalace a aktualizace**: Informace o instalaci a poslední aktualizaci aplikace.

## Zabezpečení

### Robots.txt

Pro každou aplikaci lze konfigurovat soubor `robots.txt`, který určuje, co mohou vyhledávače indexovat. Výchozí nastavení OSCloud umožňuje aplikacím používat vlastní robots.txt.

<center>
<img src="/img/apps-robots-txt.png" class="shadow" width="600px">
</center>

### HSTS Preload

Pro maximální bezpečnost podporujeme přidání domén na seznam [HSTS Preload](https://hstspreload.org/). Tuto možnost můžete aktivovat v nastavení aplikace.

<center>
<img src="/img/apps-security-hsts-preload.png" class="shadow" width="600px">
</center>

!!! note "Odeslání"
    Náš tým vám může pomoci s manuálním odesláním domény na seznam HSTS Preload.

## Další funkce

OSCloud nabízí mnoho dalších funkcí, jako je webový terminál, přístup přes SFTP, prohlížeč logů, grafy výkonu a správa cron úloh. Tyto nástroje zajišťují pohodlnou správu aplikací, přičemž všechny technické detaily jsou bezpečně spravovány naším týmem.

## Zastavení a odinstalace aplikací

Pokud aplikaci již nepotřebujete, náš tým ji může zastavit nebo odinstalovat. Zálohy aplikací jsou bezpečně uchovávány dle naší zálohovací politiky a mohou být obnoveny na vyžádání.

---

Pokud máte další dotazy nebo potřebujete nainstalovat novou aplikaci, kontaktujte nás přes [helpdesk](https://helpdesk.oscloud.cz/help/711028727).
