# <img src="/img/castopod-logo.png" width="25px"> Castopod: Podcastová platforma nové generace

Castopod je open-source podcastová platforma, která vám umožňuje spravovat, distribuovat a monetizovat vaše podcasty. Na rozdíl od jiných řešení nabízí plnou kontrolu nad obsahem a integraci s otevřenými sítěmi, jako je **Fediverse**.

---

## Castopod na OSCloud

Na platformě **OSCloud** již běží instance Castopodu na adrese:

**[podcast.oscloud.cz](https://podcast.oscloud.cz)**

Tato instance je připravena pro všechny, kteří chtějí publikovat nebo poslouchat podcasty. Pokud máte zájem o vlastní instanci na vaší doméně, kontaktujte podporu OSCloud.

---

## Pro koho je Castopod vhodný?

- **Podcastery**: Pro snadné publikování a distribuci epizod podcastů.
- **Komunity**: Pro sdílení obsahu a komunikaci s posluchači.
- **Firmy a organizace**: Pro firemní komunikaci, školení nebo marketingové kampaně.

---

## Klíčové vlastnosti Castopodu

- **Otevřený standard**: Podpora **RSS** a **ActivityPub** pro snadnou distribuci a interakci.
- **Fediverse integrace**: Možnost propojení s platformami jako Mastodon a Pixelfed.
- **Přizpůsobení**: Možnost úpravy vzhledu a funkcí pomocí pluginů a témat.
- **Monetizace**: Podpora sponzorství, mikroplateb a prémiového obsahu.
- **Statistiky**: Přehled o posluchačích a jejich preferencích.

---

## Výhody Castopodu na OSCloud

1. **Plná kontrola**: Obsah a data zůstávají pod vaší správou.
2. **Decentralizace**: Sdílení obsahu přes Fediverse s přímou interakcí s posluchači.
3. **Otevřený kód**: Aktivní komunita uživatelů a vývojářů.
4. **Jednoduchost použití**: Přehledné rozhraní a automatické generování RSS kanálů.
5. **Možnost rozšíření**: Získání vlastní instance Castopodu na vaší doméně s možností přizpůsobení.

---

## Jak začít?

1. **Poslech podcastu**: Navštivte aktuální instanci na [podcast.oscloud.cz](https://podcast.oscloud.cz/@dobrodruzstvipoznavani).
2. **Vytvoření vlastní instance**:
   - Kontaktujte podporu na [helpdesk.oscloud.cz](https://helpdesk.oscloud.cz/help/3295612635) nebo napište na **podpora@oscloud.cz**.
   - Domluvte se na nasazení a konfiguraci instance na vaší doméně.
3. **DNS nastavení**: Podpora OSCloud vás provede procesem nastavení DNS záznamů.
4. **Přístup k instanci**: Po instalaci bude vaše instance Castopodu dostupná ve vašem webovém rozhraní OSCloud.

---

Pro více informací o Castopodu navštivte [oficiální webové stránky](https://castopod.org/).
castopod.md