# <img src="/img/gitea-logo.png" width="25px"> Gitea na OSCloud

## Co je Gitea?

Gitea je open-source platforma pro správu verzí kódu a spolupráci na projektech, postavená na Gitu. Je to lehký a snadno použitelný nástroj, který umožňuje vývojářům a týmům efektivně spravovat své kódy, sledovat změny a spolupracovat na projektech.

## Klíčové vlastnosti Gitea

- **Jednoduchost**: Rychlá instalace, snadné používání a nízké nároky na výkon.
- **Správa kódu**: Plná podpora Gitu, včetně větvení, forků a pull requestů.
- **Integrace CI/CD**: Možnost připojení k externím nástrojům pro automatizaci procesů vývoje.
- **Podpora týmové spolupráce**: Role uživatelů, recenze kódu a issue tracking.
- **Přizpůsobitelnost**: Možnost přizpůsobit vzhled a funkce pomocí pluginů.
- **Webové rozhraní**: Přehledné a intuitivní uživatelské rozhraní pro správu projektů.
- **Podpora více jazyků**: Gitea je lokalizovaná do mnoha jazyků, včetně češtiny.

## Gitea na OSCloud

OSCloud poskytuje hosting Gitea na adrese [git.arch-linux.cz](https://git.arch-linux.cz/). Tato instance umožňuje:

- **Vlastní repozitáře**: Vytváření a správa vlastních soukromých i veřejných repozitářů.
- **Spolupráce na projektech**: Sdílení repozitářů a spolupráce s týmem.
- **Ochrana dat**: Všechna data jsou hostována na serverech OSCloud, což zajišťuje bezpečnost a soukromí.
- **Napojení na další nástroje OSCloud**: Možnost propojení s CI/CD a dalšími aplikacemi na platformě OSCloud.

## Jak začít?

1. **Přístup k Gitea**: Navštivte [git.arch-linux.cz](https://git.arch-linux.cz/) a přihlaste se pomocí svého OSCloud účtu.
2. **Vytvoření repozitáře**: Po přihlášení můžete snadno vytvořit nový repozitář nebo fork existujícího projektu.
3. **Správa projektů**: Používejte issue tracking, wiki a pull requesty k efektivnímu řízení projektů.
4. **Integrace s CI/CD**: Propojte Gitea s externími nástroji, které vám pomohou automatizovat procesy vývoje.

## Pro koho je Gitea vhodná?

- **Vývojářské týmy**: Pro efektivní správu kódu a spolupráci na projektech.
- **Jednotlivci**: Pro osobní projekty a bezpečné uchování kódu.
- **Organizace**: Pro správu více projektů s týmy a přístupovými právy.

## Výhody použití Gitea na OSCloud

- **Bezpečnost**: Vaše data jsou uložena na serverech OSCloud s vysokou úrovní zabezpečení.
- **Dostupnost**: Přístup k vašim projektům odkudkoli přes webové rozhraní.
- **Podpora**: Možnost obrátit se na tým OSCloud s jakýmikoliv dotazy nebo problémy.

Pro více informací a začátek práce navštivte [git.arch-linux.cz](https://git.arch-linux.cz/).