# <img src="/img/hedgedoc-logo.png" width="25px"> HedgeDoc na Oscloud

HedgeDoc je otevřená platforma pro týmovou spolupráci, která umožňuje uživatelům společně vytvářet, sdílet a editovat dokumenty v reálném čase. Tento nástroj je založený na Markdownu, jednoduchém jazyku pro formátování textu, který je vhodný jak pro začátečníky, tak pro pokročilé uživatele. HedgeDoc je ideální pro psaní poznámek, vytváření dokumentace nebo sdílení nápadů a poznatků v rámci týmu.

Na Oscloud je HedgeDoc přístupný bez nutnosti samostatné registrace. Každý uživatel se může přihlásit přímo pomocí svého Oscloud účtu, což usnadňuje a zjednodušuje přístup k aplikaci.

## Funkce a výhody HedgeDocu

### 1. Markdown formátování

HedgeDoc podporuje psaní a úpravu dokumentů v jazyce Markdown, který nabízí snadné formátování textu. Markdown je intuitivní a umožňuje:

- Používat nadpisy, seznamy, odkazy a obrázky.
- Přidávat kódové bloky a tabulky.
- Vytvářet přehledné a strukturované dokumenty.

### 2. Spolupráce v reálném čase

HedgeDoc umožňuje uživatelům pracovat společně na jednom dokumentu současně. Každá změna se okamžitě projeví všem připojeným uživatelům, což usnadňuje týmovou spolupráci, ať už se jedná o psaní poznámek ze schůzky nebo sdílení informací o projektu.

### 3. Sdílení dokumentů

Každý dokument v HedgeDocu má svůj unikátní odkaz, který lze snadno sdílet s ostatními členy týmu nebo externími spolupracovníky. Díky tomu lze dokument zpřístupnit i těm, kteří nemají OSCloud účet, pokud to nastavení přístupu povoluje.

### 4. Přístupnost a bezpečnost

Přihlášení probíhá pomocí OSCloud účtu, což zvyšuje bezpečnost přístupu a umožňuje centralizovanou správu uživatelů. Dokumenty jsou ukládány bezpečně, a uživatelé mají plnou kontrolu nad tím, kdo může k jejich dokumentům přistupovat.

## Jak začít s HedgeDocem

1. Přístup a přihlášení:
- Navštivte https://hedgedoc.arch-linux.cz/.
- Klikněte na tlačítko Přihlásit se a vyberte možnost Přihlásit se pomocí Cloudron.

<center>
<img src="/img/hedgedoc.png" class="shadow" width="500px">
</center>

2. Vytvoření nového dokumentu:
- Po přihlášení můžete vytvořit nový dokument kliknutím na `Nový dokument`.
- Zobrazí se prázdná stránka, kde můžete začít psát svůj obsah v Markdownu.

## Základní formátování v Markdownu

### 1. Nadpisy

- `# Nadpis 1` pro hlavní nadpis
- `## Nadpis 2` pro podnadpis
- `*kurzíva*` pro kurzívu a `**tučné písmo**` pro tučné písmo

### 2. Odkazy

Chcete-li vytvořit odkaz, použijte formát `[název odkazu](URL)`. Například:
```markdown
[Přejít na Mamutovo](https://mamutovo.cz)
```
### 3. Seznamy

Pro vytvoření seznamu použijte - nebo *

```markdown
- První položka
- Druhá položka
- Třetí položka
```
Číslované seznamy vytvoříte jednoduše:

```markdown
1. První položka
2. Druhá položka
3. Třetí položka
```

### 4. Úkoly (Check-list)

K vytvoření seznamu úkolů použijte - [ ] pro nedokončené a - [x] pro dokončené úkoly:

```markdown
- [ ] Nedokončený úkol
- [x] Dokončený úkol
```

### 5.Tabulky

V Markdownu lze snadno vytvořit základní tabulky pomocí | a -:

```markdown
| Sloupec 1 | Sloupec 2 | Sloupec 3 |
|-----------|-----------|-----------|
| Data 1    | Data 2    | Data 3    |
| Data 4    | Data 5    | Data 6    |
```

Pro podrobnější informace o funkcích HedgeDoc navštivte 
[anglický návod](https://hedgedoc.arch-linux.cz/features#)

### Sdílení a spolupráce:

Po dokončení úprav můžete dokument sdílet pomocí odkazu, který najdete v horní části obrazovky. Uživatelé s přístupem mohou okamžitě začít editovat.

HedgeDoc na OSCloud je skvělým řešením pro ty, kteří potřebují bezpečnou a jednoduchou platformu pro týmovou spolupráci na dokumentech. Díky podpoře Markdownu, sdílení v reálném čase a možnosti přihlášení přes OSCloud účet je ideální pro všechny, kteří chtějí mít všechny dokumenty na jednom místě a přístupné odkudkoliv.