# <img src="/img/linkwarden-logo.png" width="25px"> Linkwarden

Linkwarden je open-source aplikace určená pro správu a organizaci uložených odkazů. Nabízí efektivní nástroje pro kategorizaci, vyhledávání a bezpečné ukládání odkazů, což usnadňuje práci s velkým množstvím informací.

---
 <center>
<img src="/img/dashboard.jpeg" class="shadow" width="500px">
</center> 

## K čemu Linkwarden slouží

1. **Správa odkazů:** Umožňuje ukládat a třídit odkazy do složek nebo pomocí tagů.
2. **Vyhledávání:** Pokročilé vyhledávání podle klíčových slov, tagů nebo jiných parametrů.
3. **Offline režim:** Ukládá kopie stránek pro offline přístup.
4. **Sdílení:** Možnost sdílet kolekce odkazů nebo jednotlivé odkazy s dalšími uživateli.
5. **Archivace stránek:** Přístup k webovým stránkám, i když jsou staženy. Zabezpečení vašich stránek proti "Link Rot" a možnost stažení archivovaných stránek.

---

## Hlavní výhody Linkwarden

1. **Jednoduchost použití:** Intuitivní rozhraní vhodné i pro začátečníky.
2. **Bezpečnost:** Odkazy jsou ukládány na vašem serveru, což eliminuje rizika spojená s třetími stranami.
3. **Flexibilita:** Podpora tagů, složek a vlastních kategorií.
4. **Open-source:** Plně přizpůsobitelná aplikace, která je zdarma k dispozici.
5. **Integrace:** Možnost přístupu přes API nebo integrace s dalšími nástroji.

---

## Bezpečnost v Linkwardenu

1. **Lokální uložiště:** Data zůstanou na našem serveru, bez odesílání do cloudu třetích stran.
2. **Šifrování:** Podpora HTTPS připojení a zabezpečení hesel.
3. **Zálohy:** Možnost pravidelných záloh pro minimalizaci ztráty dat.
4. **Kontrola přístupu:** Nastavení oprávnění pro různé uživatele.

---

## Používání Linkwardenu


### Organizace odkazů

- Otevřete aplikaci Linkwarden.
- Klikněte na tlačítko **"Přidat odkaz"** a zadejte URL adresu.
- Přidejte tagy nebo popis pro snadnější vyhledávání.

### Vytváření kolekcí

- Použijte sekci **"Složky"** pro seskupení odkazů podle témat.
- Přiřaďte odkazy ke konkrétní složce.

### Vyhledávání

- Použijte vyhledávací pole a zadejte klíčové slovo nebo tag.
- Možnost filtrovat podle data přidání nebo jiných parametrů.

### Přihlášení do aplikace

- V OSCloud Dashboardu klikněte na aplikaci Linkwarden.
- Poté zvolte tlačítko **"OSCloud"**. 
- Přihlášení probíhá pomocí účtu, který jste si vytvořili na OSCloud.

### Sdílení odkazů

- Klikněte na odkaz, který chcete sdílet.
- Vyberte možnost **"Vygenerovat sdílený odkaz"** a zkopírujte jej.

---

## Tipy pro efektivní používání

- Používejte konzistentní tagy pro lepší organizaci.
- Pravidelně kontrolujte neplatné nebo duplicitní odkazy.
- Vytvářejte zálohy a ukládejte je mimo server pro případ náhodné ztráty dat.

---

Linkwarden je skvělý nástroj pro jednotlivce i týmy, kteří chtějí mít své odkazy organizované a bezpečně uložené. Díky jeho funkcím a možnostem si ušetříte čas a zvýšíte svou produktivitu.
