# <img src="/img/mastodon-logo.png" width="25px"> Mastodon Mamutovo

## Jak používat Mastodon na mamutovo.cz 🐘

Mastodon je **decentralizovaná open-source sociální síť**, která vám umožní zůstat v kontaktu s komunitou a sdílet své myšlenky ve formě krátkých příspěvků nazývaných "tooty". Na rozdíl od centralizovaných sítí, jako je Twitter nebo Facebook, není Mastodon spravován jedinou společností, ale běží na mnoha nezávislých serverech po celém světě, které mezi sebou komunikují.

### Proč používat Mastodon? 

- **Decentralizace**: Každá instance je nezávislá. Vaše data nejsou kontrolována jednou firmou, ale zůstávají pod správou té instance, které důvěřujete.
- **Bez reklam**: Mastodon neobsahuje žádné reklamy a nikdo vás nesleduje pro personalizovaný marketing.
- **Federace**: I když používáte instanci **mamutovo.cz**, můžete komunikovat s uživateli z ostatních instancí po celém světě. Stačí je sledovat podle jejich uživatelského jména (např. `@uzivatel@instance.com`).
- **Respektování soukromí**: Máte plnou kontrolu nad tím, kdo vidí vaše příspěvky a kdo vás sleduje.

Nyní, když víte, co Mastodon je, pojďme se podívat, jak ho můžete začít používat na naší instanci **mamutovo.cz**.

## 1. Registrace a vytvoření účtu

### Krok 1: Přejděte na hlavní stránku
Navštivte stránku [mamutovo.cz](https://mamutovo.cz) a klikněte na **Zaregistrovat se** v pravém horním rohu.

### Krok 2: Vyplňte registrační formulář
Vyplňte požadované údaje:
- **Uživatelské jméno**: Zvolte si unikátní jméno, které vás bude na Mastodonu reprezentovat (např. `@jmeno@mamutovo.cz`).
- **E-mail**: Vyplňte platnou e-mailovou adresu, kterou budete potřebovat pro aktivaci účtu.
- **Heslo**: Zvolte silné heslo pro ochranu vašeho účtu.

Po vyplnění klikněte na tlačítko **Registrovat**.

### Krok 3: Potvrzení e-mailu
Po registraci vám bude na uvedenou e-mailovou adresu zaslán aktivační e-mail. Klikněte na odkaz v e-mailu, abyste aktivovali svůj účet.

### Krok 4: Přihlášení do účtu
Po potvrzení e-mailu se můžete přihlásit na [mamutovo.cz](https://mamutovo.cz) s vaším uživatelským jménem a heslem.

## 2. Jak funguje Mastodon?

### Krok 1: Timeline (Časová osa)
Na Mastodonu máte tři hlavní časové osy:
- **Domácí timeline**: Zde uvidíte příspěvky (tooty) od lidí, které sledujete.
- **Federovaná timeline**: Zobrazuje příspěvky z ostatních federovaných serverů, se kterými je **mamutovo.cz** propojeno.
- **Místní timeline**: Obsahuje všechny příspěvky od uživatelů přímo na **mamutovo.cz**.

### Krok 2: Vytváření příspěvků (Tootů)
Chcete-li napsat příspěvek (známý jako "toot"), klikněte na tlačítko **Napsat toot** v horní části stránky. Vytvořte svůj obsah a klikněte na tlačítko **Tootnout**.

Příspěvky můžete nastavit jako:
- **Veřejné**: Viditelné pro všechny uživatele, včetně těch na jiných instancích.
- **Nesledované**: Viditelné pouze na vaší instanci.
- **Soukromé**: Viditelné pouze pro vaše sledující.
- **Direct message**: Posíláte pouze konkrétním uživatelům.

### Krok 3: Sledování a interakce
Můžete sledovat ostatní uživatele a jejich tooty se budou zobrazovat na vaší domácí časové ose. Můžete také:
- **Lajkovat** příspěvky (klepnutím na srdíčko).
- **Sdílet** je (tlačítko pro přeposlání).
- **Odpovědět** (klepnutím na tlačítko odpovědi).

### Krok 4: Nastavení soukromí
V nastavení účtu můžete ovládat, kdo může vidět vaše tooty a kdo vás může sledovat. Pokud chcete ještě větší kontrolu, můžete:
- **Zamknout účet**: Vyžaduje schválení pro nové sledující.
- **Nastavit výchozí úroveň viditelnosti**: Např. aby všechny vaše příspěvky byly automaticky soukromé.

## 3. Vyhledávání a objevování obsahu

### Krok 1: Vyhledávání uživatelů
Použijte vyhledávací lištu k nalezení uživatelů podle jejich jména nebo uživatelského jména (např. `@jmeno@mamutovo.cz`).

### Krok 2: Hashtagy
Hashtagy vám umožňují objevovat příspěvky na různá témata. Stačí kliknout na hashtag (např. `#open-source`) a zobrazí se všechny tooty s tímto hashtagem.

## 4. Mobilní aplikace

Mastodon můžete používat i na mobilních zařízeních. Stačí si stáhnout aplikaci Mastodon pro Android nebo iOS a přihlásit se do svého účtu **mamutovo.cz**.

[![Stáhnout na Google Play](https://upload.wikimedia.org/wikipedia/commons/7/78/Google_Play_Store_badge_EN.svg)](https://play.google.com/store/apps/details?id=org.joinmastodon.android)


- <a href="https://apps.apple.com/us/app/mastodon/id1571998974"><img src="https://developer.apple.com/app-store/marketing/guidelines/images/badge-example-preferred_2x.png" alt="App Store" width="180"/></a>

## 5. Další funkce

- **Zprávy**: Mastodon podporuje soukromé zprávy mezi uživateli.
- **Seznamy**: Můžete si vytvořit vlastní seznamy uživatelů a sledovat jejich tooty odděleně.
- **Upozornění**: Přizpůsobte si, jaké notifikace chcete dostávat (např. při novém sledujícím nebo při zmínce).

## 6. Časté dotazy (FAQ)

### Jaký je rozdíl mezi místní a federovanou časovou osou?
- **Místní časová osa** zobrazuje příspěvky všech uživatelů z vaší instance **mamutovo.cz**.
- **Federovaná časová osa** zobrazuje příspěvky od uživatelů z jiných instancí, se kterými **mamutovo.cz** federuje.

### Jsou tooty veřejné?
Ano, pokud nevytvoříte soukromý nebo chráněný příspěvek, vaše tooty jsou veřejné a mohou být viditelné i na jiných instancích.

### Jak mohu sledovat uživatele z jiných instancí?
Přes vyhledávací pole můžete zadat jejich uživatelské jméno včetně domény (např. `@uzivatel@instance.com`) a sledovat je.
