# <img src="/img/stirling-pdf-logo.png" width="25px" alt="Stirling-PDF logo"> Stirling-PDF

## Co je StirlingPDF?

**StirlingPDF** je moderní a uživatelsky přívětivá aplikace
pro práci s PDF dokumenty.
Jedná se o open-source nástroj, který umožňuje snadné a rychlé manipulace s PDF soubory.
Aplikace je navržena tak, aby vyhovovala potřebám jednotlivců i firem.

<center>
<img src="/img/stirling_app.png" class="shadow" width="500px">
</center>

---

## K čemu StirlingPDF slouží?

StirlingPDF nabízí širokou škálu funkcí, které zahrnují:

- **Slučování PDF**: Spojte více PDF souborů do jednoho.
- **Rozdělování PDF**: Rozdělte jeden PDF soubor na více částí.
- **Konverze**: Převádějte PDF na jiné formáty (obrázky, Word, apod.) a naopak.
- **Ořezávání a otáčení stránek**: Přizpůsobte jednotlivé stránky vašim potřebám.
- **Přidávání a odstraňování stránek**: Upravené dokumenty snadno aktualizujte.

---

## Výhody StirlingPDF

- **Jednoduché rozhraní**: Snadné použití i pro začátečníky.
- **Rychlost**: Operace s PDF probíhají téměř okamžitě.
- **Bezpečnost**: Všechny soubory zůstávají ve vašem prostředí Oscloud.
- **Flexibilita**: Podporuje mnoho různých funkcí a formátů.

---

## Jak používat StirlingPDF na Oscloud

### 1. Přístup k aplikaci

1. Přihlaste se do svého účtu Oscloud.
2. V nabídce aplikací vyberte **StirlingPDF**.
3. Klikněte na možnost **Přihlásit se přes Single Sign-On (SSO)**.
4. Klikněte na možnost **Oscloud**.

  <center>
<img src="/img/stirling_1.png" class="shadow" width="500px">
</center>

<center>
<img src="/img/stirling_2.png" class="shadow" width="500px">
</center>

### 2. Základní funkce

#### a) **Slučování PDF**

1. Klikněte na možnost **Merge PDF**.
2. Nahrajte soubory, které chcete sloučit.
3. Uspořádejte soubory podle potřeby.
4. Klikněte na **Merge** a stáhněte výsledný soubor.

#### b) **Rozdělování PDF**

1. Zvolte možnost **Split PDF**.
2. Nahrajte soubor, který chcete rozdělit.
3. Vyberte stránky nebo rozsahy stránek.
4. Uložte a stáhněte jednotlivé části.

#### c) **Konverze PDF**

1. Vyberte možnost **Convert**.
2. Nahrajte PDF dokument.
3. Zvolte cílový formát (např. obrázek, Word).
4. Klikněte na **Convert** a stáhněte výsledek.

#### d) **Úprava stránek**

1. Použijte funkce pro **ořezání** nebo **otáčení stránek**.
2. Nahrajte dokument a proveďte požadované změny.
3. Stáhněte upravený soubor.

---

## Tipy pro efektivní práci

- **Podpora hromadných operací**: Pracujte s více soubory současně.
- **Zabezpečení dat**: Ujistěte se, že pracujete pouze ve svém zabezpečeném prostředí Oscloud.
- **Pravidelné zálohy**: Ukládejte upravené dokumenty na bezpečné místo.

---

## Řešení častých problémů

1. **Aplikace nereaguje**:
   - Zavřete aplikaci a znovu ji spusťte.
   - Zkontrolujte připojení k internetu (pokud aplikace využívá online funkce).
2. **Chyby při nahrávání souborů**:
   - Ujistěte se, že soubor nepřekračuje maximální povolenou velikost.
   - Ověřte, že formát souboru je podporovaný.

---

## Závěr

StirlingPDF je všestranný nástroj, který usnadňuje práci s PDF dokumenty. Díky jeho snadnému ovládání a širokému spektru funkcí
je ideální volbou pro každodenní práci.

Pokud máte jakékoliv otázky nebo problémy, obraťte se na podporu Oscloud.

[![GitHub – Stirling-PDF](https://img.shields.io/badge/GitHub-Stirling--PDF-blue?logo=github)](https://github.com/Stirling-Tools/Stirling-PDF)
