# <img src="/img/umami-logo.png" width="25px"> Umami na Oscloud

[Umami](https://analytics.oscloud.cz) je moderní open-source nástroj pro sledování návštěvnosti a analýzu webových stránek. Je zaměřen na soukromí uživatelů a poskytuje jednoduché a efektivní rozhraní pro získávání dat o návštěvnosti bez sledování a ukládání citlivých údajů. 

<center>
<img src="/img/umami_app.png" class="shadow" width="500px">
</center>


## Klíčové vlastnosti

- **Soukromí a bezpečnost**: Umami je navržen tak, aby respektoval soukromí uživatelů. Nepoužívá cookies a neukládá žádná osobní data.
- **Otevřený software**: Jedná se o open-source aplikaci, což znamená, že kód je veřejně dostupný a transparentní.
- **Přehledné rozhraní**: Umami nabízí snadno použitelný dashboard s klíčovými metrikami, jako jsou počet návštěvníků, počet zobrazených stránek, zdroje návštěvnosti a další.
- **Rychlé načítání**: Minimalistický design zajišťuje rychlou odezvu a nízkou zátěž na server.
- **Možnost správy více domén**: Ideální pro uživatele, kteří spravují více webů.

---

## Výhody používání Umami na OSCloud

1. **Jednoduchá integrace**: Uživatelé OSCloud mohou snadno přidat Umami do svých webových stránek pomocí krátkého sledovacího kódu.
2. **Vhodné pro všechny uživatele**: Umami je k dispozici všem uživatelům webhostingu přímo v jejich dashboardu.
3. **Ochrana dat**: Data zůstávají uložena na OSCloud serverech, což zajišťuje maximální bezpečnost.
4. **Transparentnost**: Žádné skryté náklady ani reklamy.

---

## Jak získat přístup?

1. **Kontaktujte podporu**: Zatím je registrace do Umami možná pouze prostřednictvím [Objednávky Oscloud](https://helpdesk.oscloud.cz/help/711028727).:

2. **Po schválení**: Po schválení žádosti získáte přístup ke svému účtu, sledovacímu kódu a aplikace Umami automaticky objeví ve vašem dashboardu. .

---

## Jak používat Umami?

1. **Přihlášení**  
   Navštivte [Umami na OSCloud](https://analytics.oscloud.cz) a přihlaste se pomocí svého účtu.

2. **Přidání domény**  
   V dashboardu klikněte na **"New Website"**, vyplňte název a adresu svého webu a klikněte na **"Save"**.

3. **Přidání sledovacího kódu**  
   Po vytvoření webu Umami vygeneruje krátký JavaScriptový kód. Ten vložte do `<head>` sekce svého webu. Kód vypadá například takto:

```html
   <script async defer src="https://analytics.oscloud.cz/umami.js" data-website-id="VAŠE_ID"></script>
```
4. **Analýza dat**
Po nasazení sledovacího kódu Umami začne sbírat data o návštěvnosti. V dashboardu uvidíte metriky, jako jsou:

- Počet návštěv
- Zobrazené stránky
- Zdroje návštěvnosti
- Čas strávený na stránce

5. **Správa více webů**
Pokud spravujete více webových stránek, můžete je přidat do Umami a sledovat je samostatně.

## Nejčastější dotazy
### Je Umami v souladu s GDPR?

Ano, Umami je plně v souladu s GDPR. Nepoužívá cookies ani nesleduje osobní údaje návštěvníků.

## Mohu přistupovat ke svým datům?

Ano, všechna data jsou k dispozici ve vašem dashboardu a můžete je exportovat dle potřeby.