# <img src="/img/vaultwarden-logo.png" width="25px"> Vaultwarden

# Vaultwarden: Bezpečný správce hesel pro každého

Správa hesel je v dnešní době nezbytná, ať už používáte internet pro práci, zábavu nebo komunikaci. **Vaultwarden** je open-source alternativa ke známému správci hesel Bitwarden, ale s výhodou, že běží na vlastním serveru. To znamená, že máte plnou kontrolu nad svými daty, aniž byste se museli spoléhat na cloudové služby třetích stran.

## Co je Vaultwarden?

Vaultwarden je odlehčená verze Bitwardenu, která je optimalizovaná pro provoz na menších serverech a zařízeních s nízkými systémovými nároky. Zároveň si zachovává všechny důležité funkce, které znáte z Bitwardenu, včetně:

- **End-to-End šifrování**: Vaše hesla jsou vždy zabezpečena.
- **Přístup z různých zařízení**: Přistupujte ke svým heslům odkudkoli, z mobilu, tabletu nebo počítače.
- **Generátor silných hesel**: Umožňuje vytvářet bezpečná a náhodná hesla.
- **Dvoufaktorová autentizace (2FA)**: Pro ještě vyšší úroveň zabezpečení.

<center>
<img src="/img/vaultwarden.jpg" class="shadow" width="500px">
</center>


## Proč používat Vaultwarden?

Vaultwarden je skvělá volba pro ty, kdo chtějí mít kontrolu nad svými hesly a daty, aniž by museli záviset na třetích stranách. Naše servery jsou spravovány s důrazem na bezpečnost a soukromí, přičemž k nim máme přístup pouze my. 

Hlavní výhody Vaultwardenu:

- **Plná kontrola nad vašimi daty**: Vaše hesla jsou uložena na serverech, ke kterým máme přístup jen my, což zajišťuje, že nikdo jiný nemá přístup k vašim citlivým údajům.
- **Bezpečnost na prvním místě**: Vaultwarden využívá end-to-end šifrování, což znamená, že všechna vaše hesla jsou zašifrována ještě před tím, než opustí vaše zařízení. Ani my, jako poskytovatelé služby, nemáme k vašim heslům přístup. Vaše data jsou v bezpečí za každé situace.
- **Kompatibilita s Bitwarden klientem**: Vaultwarden je plně kompatibilní s oficiálním Bitwarden klientem, takže můžete používat stejné aplikace a rozšíření jako u Bitwardenu.


## Jak se registrovat?

Registrace na našem serveru Vaultwarden je snadná. Postupujte následovně:

1. Navštivte naši instanci na adrese: [Vaultwarden](https://bitwarden.archoslinux.cz).
2. Vyplňte požadované údaje a vytvořte si účet.
3. Po registraci se přihlaste a začněte bezpečně spravovat svá hesla.

## Použití mobilní aplikace Bitwarden

Pro správu hesel na cestách můžete použít aplikaci Bitwarden, která je dostupná jak pro Android, tak iOS. Návod, jak ji začít používat:

1. Stáhněte si aplikaci Bitwarden z [Google Play](https://play.google.com/store/apps/details?id=com.x8bit.bitwarden) nebo [App Store](https://apps.apple.com/us/app/bitwarden/id1137397744).
2. Po instalaci aplikace otevřete nastavení a zvolte možnost **Použít vlastní server**.
3. Do pole pro URL serveru vložte adresu: `https://bitwarden.archoslinux.cz`.
4. Přihlaste se pomocí svých přihlašovacích údajů, které jste si vytvořili na naší instanci.
5. Po úspěšném přihlášení můžete spravovat svá hesla, přidávat nové záznamy a synchronizovat je mezi různými zařízeními.
6. Postup je stejný jak pro zařízení s Androidem, tak pro iOS.

Pro přístup k heslům z mobilu si můžete stáhnout oficiální aplikaci Bitwarden, která je plně kompatibilní s Vaultwardenem:

- [![Google Play](https://img.shields.io/badge/Google_Play-4285F4?style=for-the-badge&logo=google-play&logoColor=white)](https://play.google.com/store/apps/details?id=com.x8bit.bitwarden)
- [![App Store](https://img.shields.io/badge/App_Store-0D96F6?style=for-the-badge&logo=app-store&logoColor=white)](https://apps.apple.com/us/app/bitwarden/id1137397744)

## Závěr

Vaultwarden je skvělou volbou pro ty, kdo chtějí mít plnou kontrolu nad svými hesly a zůstat v bezpečí online. Neváhejte a vyzkoušejte naši službu na [bitwarden.archoslinux.cz](https://bitwarden.archoslinux.cz)!