# <img src="/img/wallabag-logo.png" width="25px"> Wallabag na Oscloud

Wallabag je open-source aplikace určená pro ukládání, organizaci a čtení článků. Umožňuje vám ukládat obsah webových stránek, odstranit rušivé prvky, jako jsou reklamy, a číst články v jednoduchém formátu.

<center>
<img src="/img/wallabag_app.png" class="shadow" width="500px">
</center>


Na OSCloud je Wallabag dostupný na adrese [read.oscloud.cz](https://read.oscloud.cz/). Pro registraci je nutné kontaktovat podporu na [helpdesk.oscloud.cz](https://helpdesk.oscloud.cz/help/3295612635) nebo emailem na [podpora@oscloud.cz](mailto:podpora@oscloud.cz).

## Srovnání se službami Pocket, Instapaper a Wallabag

| Funkce                      | Wallabag     | Pocket      | Instapaper |
|-----------------------------|--------------|-------------|------------|
| Open-source                 | Ano          | Ne          | Ne         |
| Šifrování dat               | Částečně[^1] | Ne          | Ne         |
| Offline přístup             | Ano          | Ano         | Ano        |
| Přizpůsobitelné rozhraní    | Ano          | Ne          | Částečně   |
| Ukládání bez reklam         | Ano          | Ano         | Ano        |
| Import/export dat           | Ano          | Ano         | Ano        |
| Podpora více uživatelů      | Ano          | Ne          | Ne         |

[^1]: Wallabag podporuje šifrování dat během přenosu pomocí HTTPS. Data uložená na serveru však nejsou automaticky šifrována end-to-end.

## Bezpečnost

- **Kontrola nad daty**: Protože je Wallabag open-source, můžete si být jisti, že vaše data nejsou sledována třetími stranami. Aplikaci můžete provozovat na vlastním serveru nebo využít OSCloud.
- **Soukromí**: Vaše data nejsou sdílena s žádnou reklamní sítí.
- **HTTPS**: Wallabag na OSCloud využívá HTTPS pro zabezpečení přenosu dat.

## Výhody Wallabag

1. **Jednoduchost**: Články můžete číst bez rušivých prvků, jako jsou reklamy nebo nepotřebné prvky stránky.
2. **Organizace**: Umožňuje štítkovat články a organizovat je podle kategorií.
3. **Export dat**: Možnost exportovat své uložené články ve formátu HTML, JSON nebo EPUB.
4. **Podpora aplikací**: K dispozici jsou mobilní aplikace pro Android a iOS.

## Mobilní aplikace Wallabag

Pro pohodlný přístup na cestách si stáhněte mobilní aplikaci Wallabag:

[![Google Play](https://upload.wikimedia.org/wikipedia/commons/7/78/Google_Play_Store_badge_EN.svg)](https://play.google.com/store/apps/details?id=fr.gaulupeau.apps.InThePoche)
[![App Store](https://developer.apple.com/assets/elements/badges/download-on-the-app-store.svg)](https://apps.apple.com/us/app/wallabag/id1170800946)


Po instalaci aplikace propojte svůj účet Wallabag na OSCloud podle přiložených pokynů v aplikaci.

## Jak začít

1. Požádejte o registraci přes [Objednávky Oscloud](https://helpdesk.oscloud.cz/help/711028727).
2. Po schválení registrace obdržíte přihlašovací údaje.
3. Přihlaste se na [read.oscloud.cz](https://read.oscloud.cz/) pomocí poskytnutých údajů.
4. Nainstalujte si mobilní aplikaci Wallabag.
5. Propojte aplikaci s vaším OSCloud účtem.

## Další informace

Pro více informací o funkcích Wallabag navštivte [oficiální web Wallabag](https://wallabag.org/).